Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees
Class QPTreeTransformer

    java.lang.Object
      edu.stanford.nlp.trees.QPTreeTransformer

All Implemented Interfaces:
  TreeTransformer

    public class QPTreeTransformer

extends Object
implements TreeTransformer

Transforms an English structure parse tree in order to get the dependencies right: Adds an extra structure in QP phrases: (QP (RB well) (IN over) (CD 9)) becomes (QP (XS (RB well) (IN over)) (CD 9))

Author:
  mcdm

Constructor Summary
`QPTreeTransformer()`

Method Summary
`static void` | `main(String[] args)`
`Tree` | `QPtransform(Tree t)` Transforms t if it contains one of the following QP structure: QP (RB IN CD|DT ...) well over, more than QP (JJR IN CD|DT ...) fewer than QP (IN JJS CD|DT ...) at least
`Tree` | `transformTree(Tree t)` Right now (July 2007) we only deal with the following QP structures: QP (RB IN CD|DT ...) well over, more than QP (JJR IN CD|DT ...) fewer than QP (IN JJS CD|DT ...) at least

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QPTreeTransformer

    public QPTreeTransformer()

Method Detail

### transformTree

    public Tree transformTree(Tree t)

  Right now (July 2007) we only deal with the following QP structures: QP (RB IN CD|DT ...) well over, more than QP (JJR IN CD|DT ...) fewer than QP (IN JJS CD|DT ...) at least

  Specified by:
    `transformTree` in interface `TreeTransformer`
  Parameters:
    `t` - tree to be transformed
  Returns:
    t with an extra layer if there was a QP structure matching the ones mentionned above

### QPtransform

    public Tree QPtransform(Tree t)

  Transforms t if it contains one of the following QP structure: QP (RB IN CD|DT ...) well over, more than QP (JJR IN CD|DT ...) fewer than QP (IN JJS CD|DT ...) at least

  Parameters:
    `t` - a tree to be transformed
  Returns:
    t transformed

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group